Package org.jfree.layouting.modules.output.html

## Class PageableHtmlOutputProcessor

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessor
  - - org.jfree.layouting.output.pageable.AbstractPageableProcessor
    - - org.jfree.layouting.modules.output.html.PageableHtmlOutputProcessor

- All Implemented Interfaces:
    `HtmlOutputProcessor`, `OutputProcessor`, `PageableOutputProcessor`

      public class PageableHtmlOutputProcessor
      extends AbstractPageableProcessor
      implements HtmlOutputProcessor

  Creation-Date: 12.11.2006, 14:11:28
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `PROCESSING_CONTENT, PROCESSING_GLOBAL_CONTENT, PROCESSING_PAGES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageableHtmlOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PageFlowSelector` | `getFlowSelector​()` |
    `OutputProcessorMetaData` | `getMetaData​()` |
    `HtmlPrinter` | `getPrinter​()` |
    `protected void` | `processLogicalPage​(LogicalPageKey key, LogicalPageBox logicalPage)` |
    `protected void` | `processPhysicalPage​(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)` |
    `void` | `setFlowSelector​(PageFlowSelector flowSelector)` |
    `void` | `setPrinter​(HtmlPrinter printer)` |

    - ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, getConfiguration, getDocumentContext, getLogicalPage, getLogicalPageCount, getPageCursor, getProcessingState, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingContentFinished, processingFinished, processingGlobalContentFinished, setPageCursor`

    - ### Methods inherited from class org.jfree.layouting.output.pageable.AbstractPageableProcessor

      `createLogicalPage, createRenderer, getPhysicalPage, getPhysicalPageCount, getPrototypeBuilder, processingPagesFinished, processPageContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, createRenderer, getConfiguration, getLogicalPage, getLogicalPageCount, getPageCursor, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingFinished, setPageCursor`

- - ### Constructor Detail

    - #### PageableHtmlOutputProcessor

          public PageableHtmlOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration)

  - ### Method Detail

    - #### getPrinter

          public HtmlPrinter getPrinter​()

      Specified by:
        `getPrinter` in interface `HtmlOutputProcessor`

    - #### setPrinter

          public void setPrinter​(HtmlPrinter printer)

      Specified by:
        `setPrinter` in interface `HtmlOutputProcessor`

    - #### processPhysicalPage

          protected void processPhysicalPage​(PageGrid pageGrid,
                                             LogicalPageBox logicalPage,
                                             int row,
                                             int col,
                                             PhysicalPageKey pageKey)

      Specified by:
        `processPhysicalPage` in class `AbstractPageableProcessor`

    - #### processLogicalPage

          protected void processLogicalPage​(LogicalPageKey key,
                                            LogicalPageBox logicalPage)

      Specified by:
        `processLogicalPage` in class `AbstractPageableProcessor`

    - #### getFlowSelector

          public PageFlowSelector getFlowSelector​()

      Specified by:
        `getFlowSelector` in class `AbstractPageableProcessor`

    - #### setFlowSelector

          public void setFlowSelector​(PageFlowSelector flowSelector)

    - #### getMetaData

          public OutputProcessorMetaData getMetaData​()

      Specified by:
        `getMetaData` in interface `OutputProcessor`